Bug 26977 - soundscape modules has unresolved symbols
soundscape modules has unresolved symbols
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 14:46 EST by kitchen_506
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kitchen_506 2001-02-10 14:46:20 EST
Having gleefully installed the latest 2.2.17 module as per instructions and
to get around the possibly unreported bug of my scsi cdrom not being useful
either as data or sound (adaptec 2940), I noticed I now had data!  Woohoo!

Wait..where are the cheeering crowds...wait, I'm MUTE!  Arg...

My best guess is that my sound card got nudged unhappily somehow:

insmod sscape produces:

Using /lib/modules/2.2.17-14/misc/sscape.o
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
ad1848_init_Re5f86f0c
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
ad1848_unload_R9bf1cc62
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
audio_devs_R904b7dcf
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
sound_unload_audiodev_Ra
948751e
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
DMAbuf_start_dma_Re056b7
1c
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
unload_mpu401_R5febf284
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
probe_mpu401_Rcd91465c
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
ad1848_detect_R3e0356ab
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
sound_notifier_chain_reg
ister_Rc5ee3883
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
sound_locker_R90857606
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol midi_devs_R2534ed79
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
ad1848_control_Rc04f6f67
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
conf_printf_R0f280035
/lib/modules/2.2.17-14/misc/sscape.o: unresolved symbol
attach_mpu401_Rb18f4f68


I'm trying a full rebuild --rebuild --target=i586 from the src rpm to see
if this resolves the problem.
Comment 1 kitchen_506 2001-02-10 17:30:49 EST
I seem to have corrected this, however, there are some issues related to it:

apparently, the /etc/conf.modules + /etc/modules.conf twins format has changed
syntax slightly and the sound magic is no longer compatible.

old magic (prolly):
alias sound sscape 
pre-install sound /sbin/insmod sound dmabuf=1 # perhaps not here?
options sscape io=0x534 mpu_io=0x330 dma=1 mpu_irq=7 irq=5 

new magic:
pre-install sound /sbin/insmod sound dmabuf=1 
alias sound-slot-0 sscape
options sound dmabuf=1
options sscape io=0x534 irq=5 dma=1 mpu_io=0x330 mpu_irq=7

So, this works, however something on startup was carping about having
/etc/conf.modules AND /etc/modules.conf and that it was ignoring
/etc/conf.modules.  So I blew the offending file off (well, renamed it) and
rebooted....and no sound because /etc/rc.d/rc.sysyinit was looking in
/etc/conf.modules.

So, I patched rc.sysinit as follows by copying each line matching
/etc/conf.modules, inserting copy below the original, commenting orig, changing
the ref to be to /etc/modules.conf, rebooted, and smooth as glass now.

Well, for the sound...another bug about to be submitted.
Comment 2 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.